Coordinate systems and offsets (C2)

1.1 IntroductionPAGEREF _Toc307300555 \h3

1.2 Description 4

1.2.1 Overview 6

1.2.2 Coordinate systems 7

1.2.2.1 Selection of a coordinate system (CS) 7

1.2.2.2 Rotation in the plane (contour rotation) 8

1.2.2.3 Coordinate system for fixture adaptation (ACS) 9

1.2.2.4 Linking of coordinate systems 10

1.2.2.5 Effector coordinate system (ECS) 11

1.2.2.6 Temporary transition to the machine coordinate system (MCS) 12

1.2.3 Measurement offset 13

1.2.4 Manual operation offset 14

1.2.5 Position preset 15

1.2.6 Reference point offset 16

1.2.7 Zero offset 17

1.2.8 Tool offset 18

1.2.8.1 Tool length compensation (TLC) 19

1.2.9 Clamping position offset 20

1.2.10 Suppressing offsets 21

1.3 Parameters 22

1.3.1 Overview 22

1.3.2 Axis parameters 22

1.3.3 Channel parameters 23

More:

button Introduction

button Description

button Parameters


Introduction

Task

By means of selection of a coordinate system (CS), the machining coordinate system (BKS) can be shifted and rotated with respect to the machine coordinate system (MKS). As the NC program coordinates refer to the machining coordinate system, easy NC programming is enabled even in slanting or twisted positions.

As selection of a coordinate system can ultimately be considered to be an offset, the other offsets are also discussed here.

The following offsets are available:

q Offset due to a coordinate system selection

q Offset due to a measurement run

q Offset due to manual operation in the case of parallel interpolation

q Offset due to position preset

q Reference point offset

q Tool offset

q Zero offset

q Clamping position offset

Effectiveness

Offsets are always active from selection to cancellation or reparameterisation.

The offsets additionally programmed while a coordinate system is selected are valid only up to cancellation of the coordinate system.

Special case in the G91 mode

Newly selected offsets do not take effect until programmed in the absolute measurement system (G90) because only ever the specified travel distance may be travelled in the case of relative programming (G91).

Tool offsets exception:

With appropriate parameterisation, tool offsets are travelled directly without programming of a travel movement when the D word [PROG] is selected.

Parameterisation

Parameterisation by means of the NC program:

q Offset due to a coordinate system selection

q Offset due to a measurement run

q Offset due to position preset

q Reference point offset

q Offset due to manual operation in the case of parallel interpolation

Parameterisation by means of the tool parameter list [TOOL]:

q Tool offset

Parameterisation by means of the zero point data list [ZERO]:

q Zero offset

Parameterisation by means of the position offset data list [CLMP]:

q Clamping position offset


Description

Task of the coordinate system

By selection of a coordinate system (CS), the machining coordinate system (BKS) can be offset and rotated with respect to the machine coordinate system (MKS) (see Figure 1-1). This enables simple NC programming even in slanted or twisted positions.

NC program coordinates refer to the machining coordinate system.

Figure 1-1: Machining coordinate system after selection of a coordinate system

Offsets

Selection of a coordinate system generates an additional offset of the machining coordinate system. In total, the following offsets are available in the CNC system:

q Offset due to a coordinate system selection

q Offset due to a measurement run

q Offset due to manual operation in the case of parallel interpolation

q Offset due to position preset

q Reference point offset

q Tool offset

q Zero offset

q Clamping position offset

More:

button Overview

button Coordinate systems

button Measurement offset

button Manual operation offset

button Position preset

button Reference point offset

button Zero offset

button Tool offset

button Clamping position offset

button Suppressing offsets


Overview

Figure 1-2: Overview of all offsets

provides an overview of the offsets.

The offsets can be selected in parallel.

Figure 1-2: Overview of all offsets

Figure 1-3 shows the differences in definition and selection of the individual offsets.

Figure 1-3: Selection of offsets

The offsets are selected or included in calculations with the following NC commands or parameters.

NC command | Description
#CS, #ACS, #ECS, #ROTATION | Selection of a coordinate system : : Rotation in the plane
G101 | Include measurement offset
G201 #GET IPO OFFSET | Include manual operation offsets
#PSET | Select position preset
G92 | Reference point offset
G54, ... G59, G159 | Selection of zero offsets
D | Tool geometry compensation

Variable | Description
pzv_index | Index for selection of the position offset. This must be specified along with the NC program name when an NC program is ordered.


Coordinate systems

The coordinate systems are selected and cancelled, and also defined, by means of an NC command. Programming is discussed only briefly below. Refer to [PROG] for a detailed description of the NC commands.

More:

button Selection of a coordinate system (CS)

button Rotation in the plane (contour rotation)

button Coordinate system for fixture adaptation (ACS)

button Linking of coordinate systems

button Effector coordinate system (ECS)

button Temporary transition to the machine coordinate system (MCS)


Selection of a coordinate system (CS)

Selection

#CS ON

By selection of a CS, the machining coordinate system (BKS) can be offset with respect to the machine coordinate system (MKS), thus enabling simple NC programming even in slanted or twisted positions.

Use of this NC command depends on the machine's axis configuration (see [CHAN]). Machining with a rotated machining coordinate system above all makes sense whenever corresponding rotary axes (P-AXIS-00018) permit a vertical orientation of the tool with respect to the machining surface (#TOOL ORI CS).

The axis designations (P-CHAN-00006) remain unchanged in the CS.

v Offset vector

ϕ Rotation vector

Figure 1-4: Selection of a CS with an offset and rotation

Effectiveness

Active up to cancellation or up to the end of the program.

Nesting/linking of CS is possible.

Zero and reference point offsets can be programmed during machining in the CS. However, these are valid only up to cancellation of the CS and are not stored.

Cancelling

#CS OFF

The following NC command #ROTATION is also available for simple rotation in the plane.


Rotation in the plane (contour rotation)

Selection | #ROTATION ON
 | Within the main plane, the coordinate system can be rotated by means of contour rotation. Rotation can also be applied within a coordinate system already rotated (CS, ACS).

Figure 1-5: Rotation in the main plane

Effectiveness | Active up to cancellation or up to the end of the program. Contour rotation acts in the main plane on the programmed axis coordinates with priority over all other contour-influencing functionality, i.e. all offsets and mirroring can be used as before.
 | A plane change with G17/18/19 automatically cancels an active contour rotation and a message is issued.

Cancelling

#ROTATION OFF


Coordinate system for fixture adaptation (ACS)

Selection | #ACS ON
 | ACS serves to compensate for slanting of the workpiece or of the workpiece pallet. ACS can be selected or cancelled independently of a CS.

Figure 1-6: Selection of a coordinate system for fixture adaptation

Effectiveness

Active up to cancellation or up to the end of the program.

Zero and reference point offsets can be programmed in ACS. However, these are valid only up to cancellation of ACS and are not stored.

Cancelling

#ACS OFF


Linking of coordinate systems

Machining on a slating plane with a workpiece in a slanting position is made possible by a combination of ACS and CS.

Figure 1-7: Combination of ACS and CS


Effector coordinate system (ECS)

Selection | #ECS ON
 | The ECS is mainly used to implement a recoil strategy after tool breakage, NC reset or program aborting when machining with a tool in any orientation. A machining plan that is perpendicular to the tool axis is determined automatically when determining the ECS.

Figure 1-8: Machining in a slanting hole

Effectiveness

Active up to cancellation or up to the end of the program.

No other coordinate system may be active when ECS is activated.

Cancelling

#ECS OFF


Temporary transition to the machine coordinate system (MCS)

Selection | #MCS ON[ EX TOOL ]
 | With MCS, active transformations and all offsets calculated into the axes can be temporarily deactivated so that the machine axes can be directly positioned. The state of affairs existing when MCS was selected is restored after termination of MCS.

Effectiveness

Active up to cancellation or up to the end of the program.

With the "EX TOOL" option, no tool offsets are included in the MCS when the tool is changed, with the result that the machine axes can continue to be positioned directly. This takes place only when #MCS OFF.

Programmed offsets are only valid in the MCS until it is cancelled and are not stored.

Selection of CS, ACS, ECS and TLC is not possible in the MCS.

Cancelling

#MCS OFF


Measurement offset

Selection | G101 <axis name> <inclusion factor>
 | The measurement offset is the offset between the recorded measured values and the target position. With G101, the measurement offset is included in the axis coordinates as an additional offset in accordance with the inclusion factor specified.

Figure 1-9: Measurement offset

Effectiveness

Active up to cancellation or up to the end of the program.

A new measurement offset does not take effect until programmed in the absolute measuring system (G90).

Cancelling

G102 <axis name><dummy number>


Manual operation offset

Selection | #GET IPO OFFSET
 | The setpoints additionally applied after G201 during ongoing interpolation lead to an offset in the contour axes. After cancellation of manual operation with G202, these offset values can be requested from the interpolator with the #GET IPO OFFSET commands and, in the NC program, can be included in the axis coordinates as an additional offset [PROG].

Figure 1-10: Manual operation offset

Effectiveness

Active up to programming of the next manual operation offset or the end of the program.

Cancelling

-


Position preset

Selection | #PSET <axis name> <new actual position> ...
 | A new actual value can be assigned to the current axis position with this NC-command. The resulting offset is called the position preset.

Figure 1-11: Position preset

Effectiveness

Active up to cancellation or up to the end of the program.

Travel to the reference point (G74) cancels the position preset.

A new offset does not take effect until programmed in the absolute measurement system (G90).

Cancelling | #PRESET {<axis name><dummy number>}
 | The position presets are cancelled in all axes if #PRESET is programmed without specifying an axis.


Reference point offset

Selection | G92 <axis designation> <offset> ...
 | G92 enables a reference point offset by a freely programmable value in the specified axes; - also called additional zero offset. Depending on the set G90/G91, the currently programmed reference point offset is set absolutely or is added to the previous one.

Figure 1-12: Reference point offset

Effectiveness

Active up to programming of the next reference point offset or the end of the program.

A new offset does not take effect until programmed in the absolute measurement system (G90).

Cancelling

G92 <axis designation> 0


Zero offset

Selection | G54, ... G59, G159
 | The corresponding zero offsets from the zero offset table [ZERO] are selected with G54  G59 or G159.

Figure 1-13: Zero offset

Effectiveness

Active up to cancellation or up to the end of the program.

A new offset does not take effect until programmed in the absolute measurement system (G90).

Cancelling

G53


Tool offset

Selection | D <number of the contour record>
 | The corresponding tool geometry compensation data from the tool geometry compensation data record [TOOL] is selected with the D word.

Figure 1-14: Tool offset

Effectiveness

Active up to cancellation or up to the end of the program.

Depending on the parameterisation, a new offset takes effect either directly when the D word is selected or only in the event of programming in the absolute measurement system (G90) (P-CHAN-00100).

Cancelling

D 0

More:

button Tool length compensation (TLC)


Tool length compensation (TLC)

Selection | #TLC ON[ < tool length difference > ]
 | NC programs that have been generated by a programming system and which take a specific tool length into consideration can be used further with TLC, even if the length of the tool on the machine has changed.

Effectiveness

Active up to cancellation or up to the end of the program.

No new offsets or radii of the tool can be compensated, only the length.

A new offset does not take effect until programmed in the absolute measurement system (G90).

Cancelling

#TLC OFF


Clamping position offset

Selection

When the NC program is ordered, the corresponding clamping position offset compensation data [CLMP] is selected together with the NC program name. In the NC program, the currently valid position offset index can be read via the V.G.AKT_PLATZ variable.

Figure 1-15: Clamping position offset

Effectiveness

Effective up to the end of the program.

Cancelling

-


Suppressing offsets

Selection | #SUPPRESS OFFSETS
 | If this command is programmed in a motion block, the programmed coordinates are output to the NC channel unchanged, i.e. ignoring active offsets (Zero offsets, reference point, .., tool offsets).

Effectiveness

Valid only in the programmed NC block

Cancelling

-


Parameters

More:

button Overview

button Axis parameters

button Channel parameters


Overview

Constant | Description
ACHS_NAME_LAENGE | Maximum length of the axis designation

ID | Parameters | Description
P-AXIS-00018 | achs_typ | Axis type
P-CHAN-00006 | bezeichnung | Axis designation
P-CHAN-00100 | move_tool_offsets_directly | Effectiveness of tool compensations


Axis parameters

P-AXIS-00018

Axis type

Parameter

kenngr.achs_typ

Description

The type of an axis is specified with this parameter.

There is a fundamental distinction between rotatory and translatory axes. In the case of rotatory axes, a distinction is made between the rotary axis and the spindle. For translatory axes, only the linear axis type exists.

Special functionality is addressed in the NC kernel with the axis type. Examples of this are modulo calculation or speed monitoring in the case of spindles.

Data type

UNS16

Data range

0x0001 = P-AXIS-00018 = 0x0004

0x0001 Linear axis

0x0002 Rotary axis

0x0004 Spindle

Dimension

Translatory: -

Rotatory: -

Default

-

Remarks

-


Channel parameters

P-CHAN-00006 | Axis designation
Parameter | goup[i].axis[j].designation
Description | This is a string. The designations of all axes in the channel are specified by means of this variable.
Data type | STRING
Data range | 0 = P-CHAN-00018 = AXIS_NAME_LENGTH
Dimension | Translatory: - | Rotatory: -
Default | 16
Remarks | The axis designations must begin with the letters A, B, C, U, V, W, X, Y, Z or Q. After that, all letters and digits are possible. The axis designations must be unique.

P-CHAN-00100

Effectiveness of tool compensations

Parameter

move_tool_offsets_directly

Description

This parameter defines the time of the effectiveness of the tool compensation data programmed with the D word (tool length and position compensation).

Data type

BOOLEAN

Data range

0: After the D word, the compensation movement for consideration of the new tool compensation data does not take place for an axis until the next travel information has been programmed by absolute (G90) programming (default).

1: The compensation movement in the corresponding axes takes place without programming of an absolute path condition, directly with the D word (in accordance with DIN 66025).

Dimension

Translatory: -

Rotatory: -

Default

0

Remarks

-